Bug 8324 - Missing dependency to apachectl
: Missing dependency to apachectl
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/zabbix-phpfrontend)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-10-24 03:17 by
Modified: 2006-01-07 21:03 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-10-24 03:17:48
Preparing...                
#################################################################### [100%]
1: zabbix-phpfrontend       
#################################################################### [100%]
/var/tmp/rpm-tmp.5069: line 1: /usr/sbin/apachectl: No such file or directory
error: execution of %post scriptlet from zabbix-phpfrontend-1.1beta2-alt1
failed, exit status 127
W: Произошли ошибки при выполнении транзакции

А оно (/usr/sbin/apachectl) ему действительно надо?

PS Было бы неплохо поставить зависимость и на php-engine (теперь и такое есть).
------- Comment #1 From 2005-10-24 09:14:47 -------
> А оно (/usr/sbin/apachectl) ему действительно надо?

Ну у нас вроде как принято дёргать apachectl при помещении чего-либо в
/etc/httpd/conf/addon-modules.d/... С другой стороны, если используется не апач,
а например lighthttpd+fastcgi, такая зависимость совершенно некошерна :-/ Можете
предложить какие-нибудь workarounds?
Может быть стоит отказаться от помещения zabbix.conf в
/etc/httpd/conf/addon-modules.d/, а положить его в район /usr/share/doc?

> PS Было бы неплохо поставить зависимость и на php-engine (теперь и такое есть).

Будет сделано.
------- Comment #2 From 2005-10-24 11:15:47 -------
(In reply to comment #1)
> > А оно (/usr/sbin/apachectl) ему действительно надо?
> 
> Ну у нас вроде как принято дёргать apachectl при помещении чего-либо в
> /etc/httpd/conf/addon-modules.d/... С другой стороны, если используется не апач,
> а например lighthttpd+fastcgi, такая зависимость совершенно некошерна :-/ Можете
> предложить какие-нибудь workarounds?
> Может быть стоит отказаться от помещения zabbix.conf в
> /etc/httpd/conf/addon-modules.d/, а положить его в район /usr/share/doc?
это надо смотреть нашу неготовую web-policy :(

2mike I need help!
------- Comment #3 From 2005-10-27 09:40:26 -------
Я придумал небольшой workaround - помещать все apache-зависимые файлы в
отдельный пакет.

Что скажете?
------- Comment #4 From 2005-10-27 11:51:07 -------
Только за.

PS У меня еще несколько патчей есть к zabbix, повешу на днях.
------- Comment #5 From 2005-10-27 14:19:35 -------
ok, тогда я пока не буду заливать новую сборку.
------- Comment #6 From 2005-11-22 15:17:59 -------
Fixed in 1.1beta2-alt2